Subject: Re: [bug#55248] [PATCH 2/7] gnu: racket: Fix out-of-source build.

From: Philip McGrath <[email-masked]>
Date: Thu, 5 May 2022 17:55:44 -0400

On 5/5/22 16:33, Maxime Devos wrote:
> Philip McGrath schreef op do 05-05-2022 om 14:53 [-0400]:
>> Another scenario that might be worth considering is projects that follow
>> the REUSE specification[1], which I don't think would be handled by the
>> current install-license-files.
> 
> It doesn't copy .reuse/dep5 and LICENSES yet, though that can be
> implemented: <https://issues.guix.gnu.org/54234#4>.  I don't think that
> helps for this particular package though, given that Racket doesn't
> ship those files.
> 

Right, it wouldn't help Racket, it was just another example of a case 
not handled by the current implementation. (Though I think it would be 
much more justifiable to add a special case for REUSE than for Racket.) 
Glad people are already thinking about it!

-Philip